com.ihr.xbrl.database.common

## Enum DatabaseManagerGUI.DbStatus

- java.lang.Object
- - java.lang.Enum<DatabaseManagerGUI.DbStatus>
  - - com.ihr.xbrl.database.common.DatabaseManagerGUI.DbStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DatabaseManagerGUI.DbStatus>
  Enclosing interface:
    DatabaseManagerGUI

      public static enum DatabaseManagerGUI.DbStatus
      extends java.lang.Enum<DatabaseManagerGUI.DbStatus>

  The Enum DbStatus.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR` The error.
    `OK` The ok.
    `UNKOWN` The unkown.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DatabaseManagerGUI.DbStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DatabaseManagerGUI.DbStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKOWN

          public static final DatabaseManagerGUI.DbStatus UNKOWN

      The unkown.

    - #### OK

          public static final DatabaseManagerGUI.DbStatus OK

      The ok.

    - #### ERROR

          public static final DatabaseManagerGUI.DbStatus ERROR

      The error.

  - ### Method Detail

    - #### values

          public static DatabaseManagerGUI.DbStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DatabaseManagerGUI.DbStatus c : DatabaseManagerGUI.DbStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DatabaseManagerGUI.DbStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null